org.keycloak.dom.saml.v2.ac

## Class AuthnContextDeclarationBaseType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.AuthnContextDeclarationBaseType

-     public class AuthnContextDeclarationBaseType
      extends Object

  Java class for AuthnContextDeclarationBaseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthnContextDeclarationBaseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}Identification" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}TechnicalProtection" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}OperationalProtection" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}AuthnMethod" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}GoverningAgreements" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="ID" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AuthnMethodBaseType` | `authnMethod`
    `protected List<ExtensionType>` | `extension`
    `protected GoverningAgreementsType` | `governingAgreements`
    `protected String` | `id`
    `protected IdentificationType` | `identification`
    `protected OperationalProtectionType` | `operationalProtection`
    `protected TechnicalProtectionBaseType` | `technicalProtection`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthnContextDeclarationBaseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthnMethodBaseType` | `getAuthnMethod()` Gets the value of the authnMethod property.
    `List<ExtensionType>` | `getExtension()` Gets the value of the extension property.
    `GoverningAgreementsType` | `getGoverningAgreements()` Gets the value of the governingAgreements property.
    `String` | `getID()` Gets the value of the id property.
    `IdentificationType` | `getIdentification()` Gets the value of the identification property.
    `OperationalProtectionType` | `getOperationalProtection()` Gets the value of the operationalProtection property.
    `TechnicalProtectionBaseType` | `getTechnicalProtection()` Gets the value of the technicalProtection property.
    `void` | `setAuthnMethod(AuthnMethodBaseType value)` Sets the value of the authnMethod property.
    `void` | `setGoverningAgreements(GoverningAgreementsType value)` Sets the value of the governingAgreements property.
    `void` | `setID(String value)` Sets the value of the id property.
    `void` | `setIdentification(IdentificationType value)` Sets the value of the identification property.
    `void` | `setOperationalProtection(OperationalProtectionType value)` Sets the value of the operationalProtection property.
    `void` | `setTechnicalProtection(TechnicalProtectionBaseType value)` Sets the value of the technicalProtection property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### identification

          protected IdentificationType identification

    - #### technicalProtection

          protected TechnicalProtectionBaseType technicalProtection

    - #### operationalProtection

          protected OperationalProtectionType operationalProtection

    - #### authnMethod

          protected AuthnMethodBaseType authnMethod

    - #### governingAgreements

          protected GoverningAgreementsType governingAgreements

    - #### extension

          protected List<ExtensionType> extension

    - #### id

          protected String id

  - ### Constructor Detail

    - #### AuthnContextDeclarationBaseType

          public AuthnContextDeclarationBaseType()

  - ### Method Detail

    - #### getIdentification

          public IdentificationType getIdentification()

      Gets the value of the identification property.
      Returns:
        possible object is `IdentificationType`

    - #### setIdentification

          public void setIdentification(IdentificationType value)

      Sets the value of the identification property.
      Parameters:
        `value` - allowed object is `IdentificationType`

    - #### getTechnicalProtection

          public TechnicalProtectionBaseType getTechnicalProtection()

      Gets the value of the technicalProtection property.
      Returns:
        possible object is `TechnicalProtectionBaseType`

    - #### setTechnicalProtection

          public void setTechnicalProtection(TechnicalProtectionBaseType value)

      Sets the value of the technicalProtection property.
      Parameters:
        `value` - allowed object is `TechnicalProtectionBaseType`

    - #### getOperationalProtection

          public OperationalProtectionType getOperationalProtection()

      Gets the value of the operationalProtection property.
      Returns:
        possible object is `OperationalProtectionType`

    - #### setOperationalProtection

          public void setOperationalProtection(OperationalProtectionType value)

      Sets the value of the operationalProtection property.
      Parameters:
        `value` - allowed object is `OperationalProtectionType`

    - #### getAuthnMethod

          public AuthnMethodBaseType getAuthnMethod()

      Gets the value of the authnMethod property.
      Returns:
        possible object is `AuthnMethodBaseType`

    - #### setAuthnMethod

          public void setAuthnMethod(AuthnMethodBaseType value)

      Sets the value of the authnMethod property.
      Parameters:
        `value` - allowed object is `AuthnMethodBaseType`

    - #### getGoverningAgreements

          public GoverningAgreementsType getGoverningAgreements()

      Gets the value of the governingAgreements property.
      Returns:
        possible object is `GoverningAgreementsType`

    - #### setGoverningAgreements

          public void setGoverningAgreements(GoverningAgreementsType value)

      Sets the value of the governingAgreements property.
      Parameters:
        `value` - allowed object is `GoverningAgreementsType`

    - #### getExtension

          public List<ExtensionType> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

           getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `ExtensionType`

    - #### getID

          public String getID()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setID

          public void setID(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2021 JBoss by Red Hat. All rights reserved.